#ifndef __RIGHEDOC_H
#define __RIGHEDOC_H
// Numero di colonne presenti sullo sheet totale 
#ifndef __ASSOC_H
#include "assoc.h"
#endif

#ifndef __REAL_H
#include "real.h"
#endif

#ifndef __ISAM_H
#include "isam.h"
#endif

#ifndef __EXPR_H
#include "expr.h"
#endif

#ifndef __TABUTIL_H
#include "tabutil.h"
#endif

#ifndef __CONFIG_H
#include "config.h"
#endif

#ifndef __VARMASK_H
#include "varmask.h"
#endif

#ifndef __VELIB01_H
#include "velib01.h"
#endif

class TRiga_documento_motore : public TRiga_documento
{
  public:
    // Carica la riga dalla riga dello sheet
    void load( TSheet_field& f, TToken_string& row);
    // Registra la riga sullo sheet
    void save( TSheet_field& f, TToken_string& row);
    
    TRiga_documento_motore(TDocumento* doc) : TRiga_documento(doc) { }
    TRiga_documento_motore(const TRiga_documento& rec, TDocumento* doc) : TRiga_documento(rec, doc) { }
    
    virtual ~TRiga_documento_motore() {}
};

#endif
